package Clark04::Eblocks::User;

sub new {
    my $class = shift;
    my $self = shift;
    my $value = shift;

    if (defined($self)) {
    	$self->{value} = $value;
    	$self->init();
    } else {
    	$self = {};
	bless $self, $class;
    }

    return $self;
}

sub load() {
}

sub getFirst() {
    return 'Andrew';
}

sub getLast() {
    return 'Hoppin';
}

sub assertLogin {
	1;
}

sub getUserID {
    return 4;
}

sub hasPermission {
    return 1;
}

1;
